Subject: bug#42538: 28.0.50; tramp-test35-remote-path test timing out on macOS

From: Philipp Stephani <[email-masked]>
Date: Sun, 26 Jul 2020 23:39:36 +0200

Am So., 26. Juli 2020 um 17:52 Uhr schrieb Michael Albinus
<[email-masked]>:
>
> Philipp Stephani <[email-masked]> writes:
>
> Hi Philipp,
>
> >> Could you please apply the appended patch to tramp-tests.el? Then run
> >>
> >> $ rm test/lisp/net/tramp-tests.log
> >> $ timeout -v 30s make -C test lisp/net/tramp-tests.log
> >> SELECTOR=tramp-test35-remote-path
> >>
> >> This generates the file tramp-tests.log, which I would like to
> >> see. Likely, it is huge, so pls send it directly to me.
> >
> > In fact, it doesn't exist because the test is killed before it can
> > write the file :-)
>
> Indeed. So I've modified the patch; the test case commits suicide after
> 30 seconds. You can call it simply by
>
> $ rm test/lisp/net/tramp-tests.log
> $ make -C test lisp/net/tramp-tests.log SELECTOR=tramp-test35-remote-path

OK, I've attached the log file now. (It's not that large.)